Subject: RE: FVWM: fvwm2-2.2.4 Modules under Solaris 2.6 {Fixed!}

From: Paul Ellis <[email-masked]>
Date: Mon, 28 May 2001 21:30:54 -0700

Dominik/Dan & fvwm2'ers -

Thank you both very much for the help. The 'make install' doesn't do such a
predictable job under Solaris, it seems. My modules problem was indeed a
Path problem, install didn't really "install" them in a sensible place. I
moved things around manually and things are working fine now....

Also appreciate the explanation re: WindowsDesk.

Best to all,

Paul Ellis
unix ops engineer
[email-masked]
925/598-3013 

*--This mail archived by the DigitalSafe(tm)

-----Original Message-----
From: Dominik Vogt [mailto:[email-masked]]
Sent: Monday, May 28, 2001 2:01 AM
To: Paul Ellis; fvwm
Subject: Re: FVWM: fvwm2-2.2.4 Modules Don't Work under Solaris 2.6

On Sun, May 27, 2001 at 08:30:18PM -0400, Dan Espen wrote:
> Paul Ellis <[email-masked]> writes:
> > Friends -
> > 
> > I like fvwm/fvwm2 a lot and have generally used both on Solaris and
Linux
> > w/o problems. *But* on my Solaris 2.6 box, the basic fvwm2 binary (ver
> > 2.2.4) starts up okay but ALL modules Fail to run properly. They fail
with
> > message like this even though the modules were built, installed in
correct
> > directory and have CORRECT permissions:
> > 
> > [FVWM] [executeModule]: <<ERROR>> Execution of module failed:
> > /usr/lib/X11/fvwm2/FvwmPager
> > Permission denied.
> 
> When fvwm2 produces this message, it has just done a fork/execvp.
> The execvp should transfer control to the module, but in your case
> the execvp failed, and fvwm printed this message.
> 
> The permission denied comes from the OS, so there must be some kind
> of permission problem.
> 
> If you just try to run "/usr/lib/X11/fvwm2/FvwmPager" outside fvwm
> does that work?   (It won't run, but it should give you a message
> not "permission denied".)

Also, please check if the PATH variable points to the correct
FvwmPager executable.  There may be old executables with the
wrong permissions in the PATH.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].